LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XChartDataChangeEventListener Interface Referencepublished

makes it possible to receive events when chart data changes. More...

`import "XChartDataChangeEventListener.idl";`

Inheritance diagram for XChartDataChangeEventListener:

## Public Member Functions
void | chartDataChanged ([in] com::sun::star::chart::ChartDataChangeEvent aEvent)
| is called whenever chart data changes in value or structure.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events when chart data changes.

## Member Function Documentation

## ◆ chartDataChanged()

void chartDataChanged | ( | [in] com::sun::star::chart::ChartDataChangeEvent | aEvent | ) |

is called whenever chart data changes in value or structure.

This interface must be implemented by components that wish to get notified of changes in chart data. They can be registered at an XChartData component.

Parameters

  aEvent | the event that gives further information on what changed.

See also
  ChartDataChangeEvent
  XChartData

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XChartDataChangeEventListener.idl